Subject: More window positioning agro.

From: Neil Bird <[email-masked]>
Date: Thu, 06 Jan 2000 14:54:40 +0000

I'm about to give up trying to understand what the values mean & where
they come from, & how they are/are supposed to be interpreted! I guess I'm
lacking fundamental knowledge about how WMs function ;-)

  Basically, I try to create an 800x600 window, sitting top-left.

fvwm 2.3.8:

  Comes up with decor at (0,0):

xwininfo: Window id: 0x7800041
  Absolute upper-left X:  4
  Absolute upper-left Y:  25
  Relative upper-left X:  0
  Relative upper-left Y:  0
  Width: 800
  Height: 600
  Corners:  +4+25  -348+25  -348-275  +4-275
  -geometry 800x600+0+0

fvwm 2.3.12:

  Comes up with decor off-screen:

xwininfo: Window id: 0x7000042
  Absolute upper-left X:  0
  Absolute upper-left Y:  0
  Relative upper-left X:  0
  Relative upper-left Y:  0
  Width: 801
  Height: 601
  Corners:  +0+0  -351+0  -351-299  +0-299
  -geometry 801x601+-4+-25

  Move it to 'correct' position:

xwininfo: Window id: 0x7000042
  Absolute upper-left X:  4
  Absolute upper-left Y:  25
  Relative upper-left X:  0
  Relative upper-left Y:  0
  Width: 801
  Height: 601
  Corners:  +4+25  -347+25  -347-274  +4-274
  -geometry 801x601+0+0

  Why 801x601, BTW? That certainly can't be right! My test program gets a,
800x600 window, though, so I'll leave that one for now ...

-- 
=====================- http://www.racaldefence.com/ -===================
  Neil Bird                      |
                                 |            This .signature is
    mailto:[email-masked]  |          certified Y2K compliant
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]